FROM     arm32v7/ruby:2.7.2-buster



ADD      resources/docker-entrypoint.sh                \
         /usr/local/bin/

RUN      apt update                                    \
     &&  apt --yes install                             \
         bash                                          \
         build-essential                               \
         cmake                                         \
         dos2unix                                      \
         gcc                                           \
     &&  gem update --system                           \
     &&  gem install sass-embedded -v 1.58.0           \
     &&  gem install bundler -v "~>1.0"                \
     &&  gem install bundler jekyll                    \
     &&  dos2unix /usr/local/bin/docker-entrypoint.sh  \
     &&  mkdir /site                                   \
     &&  chmod 755 /usr/local/bin/docker-entrypoint.sh



WORKDIR     /site

EXPOSE      4000

ENTRYPOINT  [ "docker-entrypoint.sh" ]
CMD         [ "bundle", "exec", "jekyll", "serve", "--force-polling", "-H", "0.0.0.0", "-P", "80" ]
